PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerBinaryWrite

writes to a binary file, only from the first process

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWrite(PetscViewer viewer,const void *data,PetscInt count,PetscDataType dtype)

Collective

### Input Parameters

| viewer | - the binary viewer
| data | - location of data
| count | - number of items of data to write
| dtype | - type of data to write

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscDataType PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead()

### Level

beginner

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages